Bug 1230223 - Used wifi to install Fedora, but NetworkManager-wifi was not installed, so no connection at reboot
Summary: Used wifi to install Fedora, but NetworkManager-wifi was not installed, so no...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: comps
Version: 23
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Stephen Gallagher
QA Contact:
URL:
Whiteboard:
: 1248187 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-10 13:01 UTC by Emanuele Cipolla
Modified: 2016-11-28 13:37 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-28 13:37:38 UTC


Attachments (Terms of Use)

Description Emanuele Cipolla 2015-06-10 13:01:15 UTC
Description of problem:
I successfully installed Fedora 22 from a Netinst CD. 
The only network interface I used was my wireless card: installation was completed OK.
At reboot, I found that I could not connect because NetworkManager-wifi and its dependencies were not installed. I had to install them using an Ethernet connection. Wireless settings had been stored OK on the hard disk, as connection was immediately available upon restarting NetworkManager.

Version-Release number of selected component (if applicable):


How reproducible:
Perform installation using a wifi interface

Steps to Reproduce:
1. Start Fedora install
2. Configure and use Wifi
3. Reboot

Actual results:
Unable to connect to wifi

Expected results:
The ability to connect through wifi


Additional info:

Comment 1 Jirka Klimes 2015-06-11 07:39:00 UTC
What exact installation type did you actually use? I know that NetworkManager-wifi might not be present at some minimal installations.

https://git.fedorahosted.org/cgit/comps.git/tree/comps-f22.xml.in
The comps file lists networkmanager-submodules for base-system, so the Wi-Fi plugin should be present on most installations. Anyway, this is rather a bug for comps than for NetworkManager.

More info also in bug 1168573.

Comment 2 Stephen Gallagher 2015-06-11 12:19:34 UTC
The "base-system" group in comps.xml is actually vestigial (nothing pulls it in). It's a relic of some distant past.

That being said, all of the Environment Groups in comps.xml that produce a graphical desktop (Workstation, KDE, Cinnamon, etc.) all pull in the networkmanager-submodules as well.

I *think* that only Fedora Cloud, Fedora Server and "minimal" would be missing it.

So please tell us exactly what Environment Group you tried to install. (In Anaconda, this would be the spoke labeled "SOFTWARE SELECTION".

Comment 3 Emanuele Cipolla 2015-06-12 06:36:46 UTC
First of all, excuse me if I misclassified the bug.
I did a Fedora Server install.

Comment 4 Stephen Gallagher 2015-06-12 12:50:56 UTC
Fedora Server intentionally ships without wifi support by default (as well as a number of other devices that are generally not present in the datacenter).

It was a conscious decision that Fedora Server was expected to be deployed primarily on systems that have a persistent physical network connection and we'd avoid cluttering the default install with support for hardware that didn't fit the target audience. As you saw, it's installable after the fact.

Now, the question we could ask is this: should we add an optional group to comps to allow optionally installing wifi/3G/etc. devices in anaconda? This would have the side-effect of increasing the size of the install DVD, since we'd need to have these files be present, even if they are not commonly installed.

Comment 5 Jirka Klimes 2015-08-10 16:09:58 UTC
*** Bug 1248187 has been marked as a duplicate of this bug. ***

Comment 6 Stephen Gallagher 2015-08-10 18:31:11 UTC
Update to comps.xml:
https://git.fedorahosted.org/cgit/comps.git/commit/?id=20eb4434b3b39fb4d71b37c18479ab18f64d2023

Update to fedora-install-ks:
Rawhide: https://git.fedorahosted.org/cgit/spin-kickstarts.git/commit/?id=987c20e3b41fa61308a16d2cfa18095ba5a3bbfe
F23: https://git.fedorahosted.org/cgit/spin-kickstarts.git/commit/?h=f23&id=d90ed685609613996f0be04ee846b144dc70bde4

Composes of Fedora 23 Beta and later should have the NetworkManager submodules (including WiFI and WWAN support) as an optional checkbox in the installer. They will still not be installed by default, since they are not needed in most cases, but they will be available on the DVD so as to avoid chicken-and-egg problems with getting network access to download them.

Comment 7 Fedora End Of Life 2016-11-24 11:52:56 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.


Note You need to log in before you can comment on or make changes to this bug.